@import url('https://fonts.googleapis.com/css?family=Muli:wght@400;700&display=swap');
*{
    box-sizing: border-box;
}
body{
    font-family: 'Muli',sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin:0;
    background-color: #ecf0f1;
}
img{
    max-width: 100%;
}
.card{
    box-shadow: 0 2px 10px rgba(0,0,0,0.2);
    border-radius: 10px;
    overflow: hidden;
    width: 350px;
}
.card-header{
    height: 200px;
}
/* to prevent mixing of images and text */
.card-header img{
    object-fit: cover;
    height: 100%;
    width: 100%;
}
.card-content{
    background-color: #ffff;
    padding:30px;
}
.card-title{
    height:20px;
    margin:0;
}
.card-excerpt{
    color:#777;
    margin:10px 0 20px;
}
.author{
    display: flex;
}
.profile-img{
    border-radius: 50%;
    overflow: hidden;
    height: 40px;
    width:40px;
}
.animated-bg{
    background-color: #fff;
    box-shadow: 0 1px 2px 1px rgba(0,0,0,0.08) 0 -1px 3px 0 rgba(0,0,0,0.06);
    padding: 8px;
    position:relative;
    border-radius: 2px;
    margin-bottom: 0;
    height: 200px;
    overflow: hidden;
}
.animated-bg:only-child{
    margin-top: 0;
}
.animated-bg:before{
    content:'';
    height: 110px;
    display: block;
    background-color: #ededed;
    box-shadow: -48px 78px 0 -48px #ededed, -51px #ededed;
}
.animated-bg::after{
    content: '';
    background-color: #333;
    width:100%;
    height: 100%;
    position: absolute;
    top:0;
    left:0;
    animation-duration: 0.6s;
    animation-iteration-count: infinite;
    animation-name: loader-animation;
    animation-timing-function: linear;
    background: -webkit-linear-gradient(left,rgba(255,255,255,0) 0%, rgba(255,255,255,0.6) 30%, rgba(255,255,255,0) 81%);
    background: -o-linear-gradient(left,rgba(255,255,255,0) 0%, rgba(255,255,255,0.6) 30%, rgba(255,255,255,0) 81%);
    background: linear-gradient(to right, rgba(255,255,255,0) 0%, rgba(255,255,255,0.6) 30%, rgba(255,255,255,0) 81%);
    filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#00ffffff', endColorstr='#00ffffff',GradientType=1);
}
/* loader animation  */
@keyframes loader-animation {
    0%{
        transform: translate3d(-100%,0,0);
    }
    100%{
        transform: translate3d(100%,0,0);
    }
}